### Hierarchy

- WalletValidatorStrategy

### Implements

- WalletValidator<CryptoWallet, SupportSignedMessageData<CryptoWallet>>

## Index

### Properties

- VALIDATOR_TYPE_APP
- VALIDATOR_TYPE_BTC
- VALIDATOR_TYPE_ETH

### Methods

- getType
- setValidator
- validateCryptoWallet
- validateSignature

## Properties

### Static VALIDATOR_TYPE_APP

VALIDATOR_TYPE_APP: string = "APP"

- Defined in utils/types/validators/WalletValidatorStrategy.ts:18

### Static VALIDATOR_TYPE_BTC

VALIDATOR_TYPE_BTC: string = "BTC"

- Defined in utils/types/validators/WalletValidatorStrategy.ts:17

### Static VALIDATOR_TYPE_ETH

VALIDATOR_TYPE_ETH: string = "ETH"

- Defined in utils/types/validators/WalletValidatorStrategy.ts:16

## Methods

### getType

- getType(wallet: SupportSignedMessageData<CryptoWallet>): string

- - Defined in utils/types/validators/WalletValidatorStrategy.ts:64

  #### Parameters

  - ##### wallet: SupportSignedMessageData<CryptoWallet>

  #### Returns string

### setValidator

- setValidator(type: string, validator: WalletValidator<CryptoWallet, SupportSignedMessageData<CryptoWallet>>): boolean

- - Defined in utils/types/validators/WalletValidatorStrategy.ts:52

  #### Parameters

  - ##### type: string

  - ##### validator: WalletValidator<CryptoWallet, SupportSignedMessageData<CryptoWallet>>

  #### Returns boolean

### validateCryptoWallet

- validateCryptoWallet(wallet: SupportSignedMessageData<CryptoWallet>): ValidationResult<StringSignedMessage>

- - Defined in utils/types/validators/WalletValidatorStrategy.ts:29

  #### Parameters

  - ##### wallet: SupportSignedMessageData<CryptoWallet>

  #### Returns ValidationResult<StringSignedMessage>

### validateSignature

- validateSignature(wallet: SupportSignedMessageData<CryptoWallet>): boolean

- - Defined in utils/types/validators/WalletValidatorStrategy.ts:42

  #### Parameters

  - ##### wallet: SupportSignedMessageData<CryptoWallet>

  #### Returns boolean

Generated using TypeDoc